blueDECK (tape/cassette emulation)

-What's blueDECK?
It's a total cassette emulator for blueMSX. New & unique approach has been introduced with v1.3.0 tape emulation, read on to find out.

-What's so special about blueDECK?
The DEV team have worked really hard to bring users, what best for tape usage. One of the key improvement we have made is the tape save feature, now users can enjoy ROM & CAS games which requires saving to a tape. But hey that doesn't make it special! Hold on, the all new blueDECK's "Set Position" feature is probably the most advanced gadget users can get on MSX emulator. (at least we think that way. ;)

Before we go on here is a basic menu option and the brief explanation.

Insert | User can select a CAS file to load. The option accepts CAS and ZIP files types . It will automatically determine between fMSX-DOS and fMSX98/AT. The user can create a new cas file by typing names in the filename field.

Eject | This option will eject the mounted CAS file. NOTE: blueDECK will remember where you performed the eject last. (Just like the real data recorder)

Rewind After Insert | A check box that will rewind the CAS file when ever you perform insert. This is handy since blueDECK remembers last used position and will try to continue from there. But if this option is toggled it will force tape to rewind.

Use Cas. Read Only | This is another check box option, a quite important one too. If the read only switch is not toggled, the data will be saved directly to the cas file you have inserted. If it is checked, the data will not be saved until you explicitly do it with the Save menu option.

Save Cas. Image As | It will allow you to save your program to cas file. You have an option to save between fMSX-DOS and fMSX98/AT format.

Set position | This is a menu where you can set your loading point by choosing the tape content name. It also though let you know what CAS file contains.

Rewind | It's pretty much self-explanatory, but it rewind your cas file to the beginnig.

-What does Set Position do?
blueDECK can analyze the contents included in CAS file. Not only can the users see what's been saved, they also can choose the program name to 'set' the start of a loading point! So unlike the actual data recorder, no fast fowarding is required to scan to desired tape position. That why we only have the rewind option. (Cool isn't it?)

-What format is it compatible with?
Older fMSX98/AT CAS format can be now read & saved along with the standard fMSX-DOS CAS format.

-What's up with the position reminder?
Glad you asked! This needs quite an explanation. blueDECK actually perform just like the real data recorder. blueDECK tries to remember the tape position when you eject without rewinding. Then user can come back to its exact position of the loading tape after changing CAS file. Most tape emulation lack ability to remember the counter position which force rewind when ever new cas file is set. However position reminder will always come to the last position where CAS file was used.

Maybe helpful where the user needs to save gamedata in between loading point. User obviously need to return to the exact position after saving and switching back to an original tape where eject was performed in order to continue. NO problem, blueDECK can handle such situation.

-What's up with the Rewind After Insert?
If you read the "position reminder" above, you see that blueDECK remember the exact position of CAS file from the last perfomance. What if user don't want this? Well, when this option toggled, any CAS file inserted will be automatically rewinded. Keeps the users away from extra task.


Command Line Arguments

The table below lists the command line arguments in blueMSX.

Argument | Description
/rom1 <filename> | Sets the ROM cartridge in slot 1. The filename specifies the file containing the ROM image.
/rom2 <filename> | Sets the ROM cartridge in slot 2. The filename specifies the file containing the ROM image.
/romtype1 <rom type> | Specifies the rom type of the ROM in slot 1. If no rom type is specified, the emulator uses its internal database to check what rom type to use. The rom type can either be the name of the rom type or its id as described in the table below.
/romtype2 <rom type> | Specifies the rom type of the ROM in slot 2. See above for more details.
/diskA <filename> | Sets the disk image for disk drive A. The filename specifies the file containing the disk image.
/diskB <filename> | Sets the disk image for disk drive B. The filename specifies the file containing the disk image.
/fullscreen | Starts blueMSX in fullscreen mode. If not specified, the emulator will start in double size.
/machine <name> | Sets the MSX machine to emulate, e.g. MSX, MSX2J, MSXBR, MSX2+, "MSX2+ Panasonic FS-A1FX".
/language <name> | Sets the language of the emulator. The language name is the name of the language to use typed in lowercase letters, e.g. english or french.
/reset | Restores the settings of blueMSX to the default settings
/inifile | Makes blueMSX use an .ini file to save settings instead of the registry.

The table below contains the supported rom mapper types

Rom Mapper |
mirrored | For standard roms or mirrored roms
0x4000 | For the standard roms that start at the address &H4000
basic | For the games in MSX-BASIC that are on cartridge and start at the address &H8000
msxdos2 | Only for the MSX-DOS 2.2 cartridge
konami5 | All the Konami Megaroms with SCC soundchip - Example : Kings Valley 2
konami4 | All the Konami Megaroms without SCC soundchip - Example : The Treasure of Usas
konami4nf | Konami4 variant (for cracked roms)
scc | Konami SCC soundchip
sccmirrored | Mirrored version of the Konami SCC soundchip
sccexpanded | Expanded version of the Konami SCC soundchip
scc+ | Konami SCC+ soundchip
snatcher | The Snatcher version of the Konami SCC+ soundchip
sdsnatcher | SD-Snatcher version of the Konami SCC+ soundchip
ascii8 | Example : Bubble Bobble
ascii16 | Example : Xevious
ascii16nf | ASCII16 variant (for cracked roms)
ascii8sram | For all ASCII 8 cartridges with SRAM - Example : Xanadu
ascii16sram | For all ASCII 16 cartridges with SRAM - Example : Hydlide 2
koei | For all KOEI cartridges with SRAM - Example : Europe War
halnote | Only for the Halnote cartridge (with SRAM)
gamemaster2 | Only for the Game Master 2 cartridge (with SRAM)
fmpac | Only for the Panasonic FM-PAC cartridge (with SRAM and MSX-MUSIC)
pac | Only for the Panasonic Amusement Cartridge (with SRAM)
msxaudio | Only for the Panasonic MSX-AUDIO cartridge
rtype | Only for the R-Type cartridge
crossblaim | Only for the Cross Blaim cartridge
harryfox | Only for the Harry Fox Yki No Maoh cartridge
loderunner | Only for the Super Lode Runner cartridge
korean80 | Only for three Korean cartridges : 30-in-1, 64-in-1 and 80-in-1
korean90 | Only for the Korean 90-in-1 cartridge
korean126 | Only for the Korean 126-in-1 cartridge
holyquran | Only for the Holy Quran cartridge (to use with the MSX2 Arabic machine)
jisyo | Only for the Jisyo cartridge (to use with the Bunsetsu cartridge)
bunsetsu | Only for the Bunsetsu cartridge
kanji | Only for the Kanji cartridge


Contact information

If you have comments, bug reports, feature requests or useful tips about blueMSX, please visit the Official blueMSX Forum. The forum allows you to submit questions and ideas and gives you a chance to discuss with the developers of blueMSX.

You can also visit the blueMSX homepage or the Japanese support page to get information about new releases and useful MSX links.


Controls

The emulator supports three types of input devices; keyboard, joystick and mouse. The keyboard is always available and the joystick and mouse can be selected in the Controls properties dialog.

Besides, blueMSX detects automatically all your compatible DirectX devices, including for example a joypad with 8 buttons or more. Combined with the shortcuts editor, you can use your joypad for using the emulator as it seems you better !


Joystick

The MSX joystick is an eight way joystick with two buttons. It is emulated by either a real PC joystick or by keyboard keys.

To use a joystick as input device or use the PC keyboard to simulate a joystick , you have to select it in the Controls properties dialog.

Mouse

Some MSX programs have support for mouse. Not surprising, the emulator uses the PC mouse as input device to emulate the MSX mouse.

To use the mouse as input device, you have to select it in the Controls properties dialog.

The mouse can be used on a MSX like a joystick, if you press the left button at least 5 seconds after the boot sequence when you start the machine. It's also the case in blueMSX !


Keyboard

The MSX keyboard is very similar to a standard PC keyboard. The typewrite keys are almost the same as well as the numeric keypad. The MSX keyboard has five physical function keys. To access function key 6 to 10 you need to hold down the SHIFT key and press one of the keys F1 to F5.

There are a few MSX keyboard keys that is not present on a standard PC keyboard. These keys are mapped to the following PC keyboard keys:

MSX key | PC key
Select | End
Stop | Page Up
Clr Home | Home
Graph | Left Alt
Code/Kana/Hangul | Right Alt
Comma on numpad | Page Down

The Panasonic MSX2+ have two special Japanese keys, that allow in some programs to validate or invalidate a choice.

MSX key | PC key
Validate "hai" | Left Windows or Back (Explorer)
Invalidate "iee " | Right Windows or Forward (Explorer)

blueMSX uses also many keys or combinations of keys for shortcuts, that you can change in the Shortcuts Editor.


Credits

The following persons have been directly involved in the blueMSX development and their contributions have been invaluable for the development of blueMSX.

Shimanuki Koshi | for sweeping news groups for bug reports and giving invaluable feedback and information to the blueMSX project. He also suggested the mixer control and did the Japanese translation.

Roger Filipe | for creating the gcc/mingw build environment and for doing some bug fixes. Roger has made improvements in the rom mappers and made more games playable in blueMSX. He also made the Portuguese translation.

SLotman | for integrating the zlib libraries and for porting the Scale2x monitor emulation (all done in the blueMSX clone called RedMSX)

Nicolas Beyaert | for doing a renewed and extensive rom database.

Laurent Halter | for creating a new screenshot feature, coding the horizontal and vertical stretching of the MSX screen and for his help with DirectX problems

Kobayashi Michiko | for suggesting graphics to the toolbar.

Fabio Albergaria Dias | for great feedback and for testing the brazilian MSX system roms.

Glafouk | for testing the audio emulation and providing music disks and for doing the French translation.

Martijn van Tienen | for help with command line arguments and the Dutch translation.

Ulver | for help with the Korean translation.

Víctor Fernández Sánchez | for help with the Spanish translation.

Davide Platania | for help with the Italian translation.

Miikka Poikela | for help with the Finnish translation.

William Ouwehand | for help with the emulator archives and for good feedback on the user interface.

Wouter Vermaelen | for help with sprite emulation and rom mappers.

Manuel Bilderbeek | for help with many emulation related issues.

Maarten ter Huurne | for help with VDP emulation and video renderers.

Tobias Keizer | for providing Z80 timing tables.

Atarulum | for help with horizontal stretch and ideas for improvements.

Sandy | for help with Megaram emulation and ideas for improvements.

The following people have created software that are used in blueMSX and without their software there would not be a blueMSX application.

Marat Fayzullin | Author of fMSX of which blueMSX is derived.

R. Belmont and O. Galibert | Authors of the YMF278 sound chip emulation (part of the Moonsound emulation)

Jarek Burczynski | Author of the YM2413 sound chip emulation and of the YMF262 sound chip emulation (part of the Moonsound emulation).

Tatsuyuki Satoh | Author of the Y8950 sound chip emulation.

Gilles Vollant | Author of the unzip package.


Features

The blueMSX emulator is based on fMSX 2.7 by Marat Fayzullin. Most of features have been rewritten and added. Only about 80% of the Z80 emulation and 10% of the VDP emulation remains from the original fMSX source.
The following list contains some of the new or improved features:

Unique blueMSX Features
 | The cassette interface allows you to see all contents on the tape and set current position to the beginning of any file on the tape. The cassette position can also be remebered when ejecting a tape and inserting it at a later time.
 | Powerful graphical user interface for machine configruations that allows confgiruation of memory and IO devices.
 | Emulation speed can be reduced or increased while running a game. The emulator can also run at maximum capacity while a designated hotkey is presesd.
 | Two types of TV monitor emulation that includes noise to increase the fealing of an old TV when using LCD monitors.
 | Virtual FDD (disk drive) interface that allows you to change between numbered disks with just one key klick.
General Emulation
NEW | Choice between a classic interface and the DIGIblue interface with visualisation of the audio outputs and more indicators about the emulated machine and his working
IMPROVED | Multiple language support
 | Great choice of default configurations
 | Better memory layout emulation, including CMOS
 | An user friendly machine editor that allows the user to build his own configurations and to emulate specific machines
IMPROVED | Extended support for different types of roms and megaroms
 | Improved support of all games with SRAM
NEW | Customizable shortcuts editor : the user can remap a long list of features to keys, combinations or keys or to the joypad buttons
IMPROVED | Many hotkeys for a more user-friendly emulation
 | Quick save feature with filenames with sequence number which makes it easy to restart emulation from an old saved state.
 | Better state save : it saves the entire state, including machine configuration, joystick and mouse configs; the saved states are zipped and backwards compatible
 | Better performance by disabling of the Windows screensaver and the Windows menu keys
IMPROVED | The emulator only uses as much CPU time as it needs
Video related features
 | Supports 16 and 32 bit color
IMPROVED | DirectX support
 | PAL video emulation with support for three modes: - No PAL (The only mode all MSX emulators so far provides). - Sharp, with or without noise - Blurry, with or without noise The noise gives a more authentic feeling when running the emulator on an LCD monitor.
NEW | Gamma/Brightness/Contrast/Saturation controls
IMPROVED | Horizontal and vertical stretch + slider for adaptable scanlines on all monitor modes.
 | Scale2x monitor emulation
 | Improved timing with excellent results in demos like Almost Real, Metal Limit, Turnix 2 and Unknown Reality
 | Correct overscan behaviour
 | Correct specific palettes of colors (MSX1, MSX2/2+)
IMPROVED | Screenshot feature
Sound related features
IMPROVED | New PSG (AY8910 sound chip) emulation. Much better synchronization and DA emulation
 | SCC emulation
 | FM-PAC (YM2413 sound chip) emulation
IMPROVED | MSX-AUDIO (Y8950 sound chip) emulation
 | Moonsound emulation
 | Mono and Stereo sound
 | Advanced mixer control where the volume and pan of each sound chip can be set in realtime
 | Audio capture feature
File support
IMPROVED | Support for many types of mappers
 | Autodetecting ROM images
IMPROVED | Extern rom database
IMPROVED | Drag and drop of ROM, DSK, CAS and STA files
 | Registration of file types, so double clicking a file starts blueMSX files
 | Change of multiple disk with use of a virtual FDD index and indication of the selected disk in a window
 | Support of 2 CAS formats : fMSX-DOS and fMSX98/AT
 | Saving feature for CAS files
 | List of the most recent roms/disks/tapes loaded
 | Clearing and setting of number of files in history
IMPROVED | Support for loading zipped ROM/DSK/CAS files. If a zip file contains multiple files, a list with the matching file type is displayed where the user can select the file to load
Controls support
 | Good support of specific keyboards
IMPROVED | Joystick and mouse support


Installing blueMSX

Run the self-extracting zip archive blueMSXvxxx.exe.
(xxx = version number of the blueMSX emulator)

The installation program asks you for a directory where you want to install the emulator.
By default, blueMSX will be installed in C:\Program Files\blueMSX.

If you prefer to install blueMSX in another directory, then click on "Browse ..." and select a directory. You can also enter manually the destination directory.

By clicking on the button "Start", you will begin the installation. If the destination directory does not exist, it will be created automatically before unzipping of the files in this directory.

No further installation is required.

The installation will copy the emulator executable and documentation to the selected directory.

It will also create 7 subdirectories in the directory where blueMSX is installed :

Audio Capture will contain .wav files created when you use the Audio Capture feature of the emulator
Casinfo | will contain .pos files that are used by blueDECK, a new approach of the cassette emulation
Contrib | will contain folders with externe tools that are used by blueMSX. For the moment, only C-BIOS, an alternative freeware bios
Machines contains different folders with all the parameters of the "general" MSX machines supported by the emulator and of some specific boosted machines;
will also contain parameters for the personal machines that you'll create yourself with the Machine editor

If you have installed the full version of the emulator, a subdirectory Shared Roms will contain all the system roms that are used by the default machines

If you have installed the simple version of the emulator, only 2 machines are available : MSX - C-BIOS and MSX2 - C-BIOS. These machines have not yet disk or cas support, you can only run rom games.
Screenshots | will contain .bmp files when you use the Save Screenshot feature of blueMSX
Shortcut Profiles | will contain the files for different shortcut profiles, including those created with the Shortcuts Editor
Sram will contain .sram files when you quit the emulator after having played a game with intern of extern SRAM;
will also contain .cmos files with the content of the clockchip of the last used MSX machine

If you use the Quick Save feature of blueMSX, a subdirectory QuickSave will be created the first time that you'll made a quick save of the emulation state.


Introduction

blueMSX is a Windows based application that can emulate an MSX computer. The blueMSX application simulates behavior of the hardware components in the MSX computer with software. The result is an application that behaves like a real MSX in and enables you to run a great amount of software written for the MSX computer.

MSX is a computer platform used by a large public from the early eighties to the mid nineties. In contrast to other platforms of the same period, MSX was a standard for computers, not a specific brand. Many companies such as Sony and Panasonic created their own computers based of the MSX standard.

The original MSX was followed by a couple of generations of MSXes. Currently blueMSX supports MSX, MSX2 and MSX2+ software.

blueMSX was created in September 2003 by Daniel Vik. Since April 2004, the core development team consists of Daniel Vik and Benoît Delvaux.

But there are many persons that in different ways have contributed to the development. See the Credits section for a list of everyone that have made blueMSX what it is today.


License

This software is provided 'as-is', without any express or implied warranty. In no event will the author(s) be held liable for any damages arising from the use of this software.

Permission is granted to anyone to use this software for non-commercial purposes only.

Some parts of blueMSX contains code from fMSX which restricts usage and distribution to non-commercial use only. If you want to distibute blueMSX commercially you need to contact Marat Fayzullin or rewrite all code that he is responsible for.

The MSX trademark and logo are copyrighted by the MSX Association, of which blueMSX is not affiliated with in any way.


Chip Configuration

In this pannel you can configure video, audio and CMOS chips emulation

The top group allows you to select the video chip to use and to configure its video RAM size. blueMSX supports four different video chips:

TMS9929A | Used in 50Hz PAL MSX1 machines.

TMS99x8A | Used in 60Hz NTSC MSX1 machines.

V9938 | Used in MSX2 machines for both PAL and NTSC. The MSX bios ROM configures the video chip to use either PAL or NTSC. A japanese bios uses NTSC and an european bios uses PAL.

V9958 | Used in MSX2+ machines for both PAL and NTSC and is configured by MSX bios the same way as V9938.

The middle group allows you to enable support for different audio chip emulations. The Moonsound emulation also allows you to set the size of the internal SRAM.

The bottom group allows you enable support for the CMOS chip and his loaded battery, as it required for a good working of the MSX2/2+ machines. If you start a MSX1 machine, the CMOS chip is disabled by default, like on the real computer.


Machine Editor Dialog

In this editor you can create user defined MSX configurations.

The machine editor dialog contains three parts. At the top is a dropdown list with all current configurations. All configurations are stored in the Config subdirectory of the emulator.

The center part is a tab control where the configuration is defined. The tab control contains three pages:

Slot Layout
Memory
Chip Emulation

The bottom part contains four buttons:

Save | Saves changes made to the current configuration.

Save As... | Saves the current configuration with a new name. When the button is pressed, a file dialog is opened where you can specify the new name of the configuration. The original configuration will not be modified.

Run | Starts the emulator using the current configuration. If the configuration is modified and not saved, a warning dialog will be shown.

Close | Closes the machine editor dialog. If the configuration is modified and not saved, a warning dialog will be shown.


Machine Editor

blueMSX provides a powerful machine editor that allows you to edit the memory layout and configure I/O to create configurations that matches existing or custom made MSXes.

The machine editor requires some knowledge about the MSX hardware but the interface is made as simple as possible to make it easier to understand the inner part of the MSX.

Simple version and full version of the emulator come with several default machine configurations that probably are sufficient for most emulator users, but for the more technical users this tool allows for a detailed specification of the emulation. The default machines may then serve as a start when designing custom machines.

Only the full version of the emulator includes the system roms for the default machines, in the subdirectory Machines / Shared Roms.

Both versions of the emulator come also with specific boosted machines configurations (Panasonic, National, Sanyo, ...). On the blueMSX web site you can download the complete packages with the special system roms and system disks.


Memory Configuration

In this pannel you can configure the memory and assign rom images to different addresses and slots.

The dialog consits of a list view that shows the current memory configuration. Each row contains one ROM/RAM or IO mapper configuration. The list has five columns. The first column indicates whether the mapper has any conflicts with any previous mapper. In the picture above one mapper is placed on the same slot, subslot and address as a previous one and thus causing a conflict. The conflict can be resolved by changing the address or slot configuration of the mapper.
The meaning of the other columns are:

Slot | Slot and subslot number where the rom shall be mapped. A mapper can be unslotted in which case this field is blank.

Address | The address where the ROM/RAM shall be mapped. If the mapper is unslotted, the field is blank.

Type | Specifies the memory type of the mapper.

Rom Image | Specifies the ROM name if the mapper is a ROM mapper.

Below the list view are three buttons.

Add... | Adds a new entry to the memory configuration list.

Edit... | Edits the selected entry to the memory configuration list.

Remove | Removes the selected entry from the memory configuration list.

When the Add or Edit button is pressed or if you double click on a mapper entry in the list. A mapper configuration dialog is shown:

The dialog contains five fields:

File | The field shows the selected ROM file for the mapper. The button opens a file dialog where you can select a ROM file for the mapper. If the mapper does not require a ROM file, this field will be disabled.

Type | A dropdown list where the type of mapper is selected.

Slot | Specifies the slot where to map the ROM. If the type is an IO mapper, this field is disabled.

Address | Specifies the address within the slot where to map the ROM. If the type is an IO mapper, this field is disabled.

Size | If the mapper is a ROM mapper, this field shows the size of the ROM. If the mapper is a RAM mapper this field is an enabled drop down menu where you can set the RAM size.


Slot Configuration

In this pannel you can configure the core slot layout. The slot layout determines how you can map ROM images into memory.

The Slot Layout group specifies whether the four slots in the MSX machine shall be subslotted or not.

The External Slots group specifies the slot where external slots will be mapped. The external slots are usually used for game cartridges and are inserted in the Cartridge menu.
If the selected slot is subslotted, the subslot also needs to be defined.


The Menu

This paragraph contains a description of the items in the drop down menu.

File Menu (you see below the File Menu, the Cartridge submenu and his Special option)

Menu Item | Description
Cartridge slot 1 | The Cartridge slot 1 option controls the rom cartridge slot 1. The option contains a sub menu where you can insert or eject a rom image. The option accepts files of type .ROM, .MX1, .MX2 and .ZIP. If a zip file contains more than one rom image, a dialog with a list of all roms will be shown. If the "Reset after insert/remove" option is checked, the emulator is automatically reset when a rom image is inserted or removed. The menu contains a list of the most recently images that are loaded into this cartridge slot. The "Special" option contains a list of special rom types supported by blueMSX. Select the rom that is required for a game (example : the different SCC cartridges are useful for Konami games on dsk , like the Konami Games Collection, Snatcher and SD-Snatcher)
Cartridge slot 2 | The Cartridge slot 2 option controls the rom cartridge slot 2. It contains the same options as Cartridge slot 1.
Disk drive A | This option controls the Disk drive A. The option contains a sub menu where you can insert or eject a disk image. The option accepts files of type .DSK, .DI1, .DI2 and .ZIP. If a zip file contains more than one disk image, a dialog with a list of all disks will be shown. If the "Reset after insert" option is checked, the emulator is automatically reset when a disk image is inserted. The menu contains a list of the most recently images that are loaded into this disk drive.
Disk drive B | This option controls the Disk drive B. It contains the same options as Disk drive A.
Cassette | This option controls the Cassette player. The option contains a sub menu where you can insert or eject a tape image. The position of the cassette can be controlled by the "Rewind" or "Set Position" option. The option accept files of type .CAS and .ZIP. If a zip file contains more than one cas image, a dialog with a list of all tapes will be shown. The menu contains a list of the most recently images that are loaded into the cassette port
Load CPU state | The Load CPU state allows you to load a previously saved CPU state. The option launches a file dialog where you can select a previously saved CPU state. See Save CPU state.
Save CPU state | The Save CPU state saves the entire state of the emulator so you can load it and continue execution at a latter time. The option launches a file dialog where you can select a file to which the state will be saved.
Quick Load state | Loads the CPU state previously saved by Quick Save.
Quick Save state | Saves the CPU state to a predefined file in the current directory.
Capture Audio | Starts/stops capturing audio to a file. The files are stored in the Audio Capture directory. A unique file name is always created.
Save screenshot | Saves a screenshot in the Screenshots directory. A unique file name is always created.
Exit | Exits blueMSX. The current configuration will always be saved.

Run Menu

Menu Item | Description
Run / Pause | Runs or pauses the MSX emulation.
Stop | Stops the MSX emulation.
Hard Reset | Resets and starts the MSX emulation.
Soft Reset | Resets and starts the MSX emulation. The Soft Reset don't erase the RAM memory when the emulation is restarted.
General Reset | Resets and starts the MSX emulation with all cartridges and disks ejected.

Window Menu

Menu Item | Description
Normal size | Sets the screen size to 320x240 pixels.
Double sizes | Sets the screen size to 640x480 pixels.
Fullscreen | Runs blueMSX in fullscreen mode.

Options Menu

Menu Item | Description
Emulation | Launches the Emulation settings properties dialog.
Video | Launches the Video settings properties dialog.
Sound | Launches the Sound settings properties dialog.
Controls | Launches the Controls settings properties dialog.
Performance | Launches the Performance settings properties dialog.
Files | Launches the Files settings properties dialog.
Settings | Launches the Settings properties dialog.
Language | Launches the Language selection dialog.

Tools Menu

Menu Item | Description
Machine Editor | Launches the Machine editor dialog.
Shortcuts Editor | Launches the Shortcuts editor dialog.

Help Menu

Menu Item | Description
Help | Shows the help file.
About | Shows the About dialog.


The File Menu

The File menu contains the following menu items:

Cartridge slot 1
The Cartridge slot 1 option controls the rom cartridge slot 1. The option contains a sub menu where you can insert or eject a rom image. If the "Reset after insert/remove" option is checked the emulator is automatically reset when a rom image is inserted or removed.
The menu contains a list of the most recently images that are loaded into this cartridge slot. The "Special" option contains a list of special rom types supported by blueMSX. It currently only contains "SCC+ cartridge" which is mainly intended to provide SCC audio when playing Konami Game Collection.

The option accepts files of type .ROM and .ZIP. If a zip file contains more than one rom image, a dialog with a list of all roms will be shown.

Cartridge slot 2
The Cartridge slot 2 option controls the rom cartridge slot 2. It contains the same options as Cartridge slot 1.

Disk drive A
This option controls the Disk drive A. The option contains a sub menu where you can insert or eject a disk image. If the "Reset after insert" option is checked the emulator is automatically reset when a disk image is inserted.

The option accepts files of type .DSK and .ZIP. If a zip file contains more than one disk image, a dialog with a list of all disks will be shown.

Disk drive B
This option controls the Disk drive B. It contains the same options as Disk drive A.

Load CPU state
The Load CPU state allows you to load a previously saved CPU state. The option launches a file dialog where you can select a previosly saved CPU state. See Save CPU state.

Save CPU state
The Save CPU state saves the entire state of the emulator so you can load it and continue execution at a latter time. The option launches a file dialog where you can select a file to which the state will be saved.
Note that the MSX configuration is not saved so the saved state may not work with another configuration.

Quick Load state
Loads the CPU state previously saved by Quick Save.

Quick Save state
Saves the CPU state to a predefined file in the current directory.

Capture audio
Starts/stops capturing audio to a file. The files are stored in the Audio Capture directory. A unique file name is always created.

Save screenshot
Saves a screenshot in the Screenshots directory. A unique file name is always created.

Exit
Exits blueMSX. The current configuration will always be saved.


The Help Menu

The Help menu contains the following menu items:

Help

Shows the help file.

About

Shows the About dialog.


The Options Menu

The Options menu contains the following menu items:

Emulation

Launches the Emulation settings properties dialog.

Video

Launches the Video settings properties dialog.

Sound

Launches the Sound settings properties dialog.

Controls

Launches the Controls settings properties dialog.


The Run Menu

The Run menu contains the following menu items:

Run / Pause

Runs or pauses the MSX emulation.

Stop

Stops the MSX emulation.

Hard reset

Resets and starts the MSX emulation.

Soft reset

Resets and starts the MSX emulation. The Soft reset don't erase the RAM memory when the emulation is restarted.


The Window Menu

The Window menu contains the following menu items:

Normal size

Sets the screen size to 320x240 pixels.

Double size

Sets the screen size to 640x480 pixels.

Fullscreen

Runs blueMSX in fullscreen mode.


Extern Rom Database

blueMSX uses an external rom database (with CRC32 codes); if the game is in the database, there's no problem as blueMSX detects the game and knows directly the mapper type, so he can run it !

If the game is not in the rom database, you can complete yourself the rom database !
It's the romdb.dat file in the blueMSX directory, this text file is created the first time that you use the emulator.

To add roms in the extern rom database, you must enter one rom per line.

The format of each line is:

[crc] [romtype] [description (optional)]

All letters in the crc and rom type must be lower case.

Examples :

cb935a50 basic 3d Golf
27405eed konami5 Space Manbow
68fe9580 ascii16 Pinball Blaster

How to find the crc32 code of the rom game ?

- use WinZip to create an archive of the rom game
- double click on the archive
- select the rom game in the archive
- make a right click and select "File Properties"
- the last info on the WinZip "File Properties" window is the CRC32 code
- if the CRC32 code given by WinZip has only 7 positions, add a zero before the code

Example with the Portuguese rom of Metal Gear 2 Solid Snake :

You must complete the extern rom database with this line :

51f5c5df konami5 Portuguese Metal Gear 2 Solid Snake

Which are the different rom mapper types ?

Rom Mapper
mirrored | For standard roms or mirrored roms
0x4000 | For the standard roms that start at the address &H4000
basic | For the games in MSX-BASIC that are on cartridge and start at the address &H8000
msxdos2 | Only for the MSX-DOS 2.2 cartridge
konami5 | All the Konami Megaroms with SCC soundchip - Example : Kings Valley 2
konami4 | All the Konami Megaroms without SCC soundchip - Example : The Treasure of Usas
konami4nf | Konami4 variant (for cracked roms)
scc | Konami SCC soundchip
sccmirrored | Mirrored version of the Konami SCC soundchip
sccexpanded | Expanded version of the Konami SCC soundchip
scc+ | Konami SCC+ soundchip
snatcher | The Snatcher version of the Konami SCC+ soundchip
sdsnatcher | SD-Snatcher version of the Konami SCC+ soundchip
ascii8 | Example : Bubble Bobble
ascii16 | Example : Xevious
ascii16nf | ASCII16 variant (for cracked roms)
ascii8sram | For all ASCII 8 cartridges with SRAM - Example : Xanadu
ascii16sram | For all ASCII 16 cartridges with SRAM - Example : Hydlide 2
koei | For all KOEI cartridges with SRAM - Example : Europe War
halnote | Only for the Halnote cartridge (with SRAM)
gamemaster2 | Only for the Game Master 2 cartridge (with SRAM)
fmpac | Only for the Panasonic FM-PAC cartridge (with SRAM and MSX-MUSIC)
pac | Only for the Panasonic Amusement Cartridge (with SRAM)
msxaudio | Only for the Panasonic MSX-AUDIO cartridge
rtype | Only for the R-Type cartridge
crossblaim | Only for the Cross Blaim cartridge
harryfox | Only for the Harry Fox Yki No Maoh cartridge
loderunner | Only for the Super Lode Runner cartridge
korean80 | Only for three Korean cartridges : 30-in-1, 64-in-1 and 80-in-1
korean90 | Only for the Korean 90-in-1 cartridge
korean126 | Only for the Korean 126-in-1 cartridge
holyquran | Only for the Holy Quran cartridge (to use with the MSX2 Arabic machine)
jisyo | Only for the Jisyo cartridge (to use with the Bunsetsu cartridge)
bunsetsu | Only for the Bunsetsu cartridge
kanji | Only for the Kanji cartridge

How to complete the description part ?

The description part is optional, but if you choose to use the DIGiblue theme of the emulator, it is recommended to complete this part, because it will be displayed in the statusbar, even if the name of your file is shorter (blueMXSX uses the crc code also for this display)

The recommended general format for the description is the following

Name of the game (Year of release) (Publisher) [additionnal infos (optional)] [crc]

The part additionnal infos can include different things

For example :
- the RC nummer of the game for the Konami games
- the a,b, ... TOSEC parameters
- info about the translation ...

This part stays very free for your imagination and for other infos !


Running blueMSX

Double click on the blueMSX icon and the emulator starts.
You can also create on your desktop a shortcut to the file blueMSX.exe file, and double click on this shortcut to start blueMSX.

You access then to the beautiful interface of blueMSX. The emulator is in pause mode.
To really go in the MSX world, press on F9 (= Run) or on F12 (= Reset).

Without any game or application, blueMSX comes generally in MSX-BASIC. If the selected machine contains an intern firmware, a special application will normally be launched.

In order for something different to happen, you need to load a file into the emulator. The way to proceed is explained on different pages of this manual.

blueMSX supports floppy disk files, rom cartridge files and cassette files. These files are images of the real disks, cartridges or cassettes, with all their contents, including for example the boot sector of the disks or the headers of the cassettes.

The disk files have one of these extensions : .dsk, .di1, .di2

The rom files have one of these extensions : .rom, .mx1, .mx2

The cassette files have the extension .cas

blueMSX also supports zip archives that contain files with these extensions.

You can find MSX games or applications that work with the blueMSX emulator on several sites on the internet.


Running cas images

Cas images contains all the data of games on cassette. The files have the extension .cas

You can run these games by using five different procedures in blueMSX, choose the procedure that you prefer !

The 3 first procedures require that the blueMSX window is already on your PC; with the 5th procedure , you can directly double click on a cas image, but you must first register some files types with blueMSX by using the menu Options / Settings / Windows Environment

If you have already used cas images with blueMSX, the emulator keep them in his memory (by default : maximum 10), you can see the names of these images in the menu and make also your choice directly among these images !

In all cases, a tape need a little help from the user to start : when you come in MSX-BASIC, you must use one of these commands and press on RETURN (the ENTER key of your PC) :

- RUN"CAS:"
- LOAD"CAS:",R
- BLOAD"CAS:",R

First procedure : use of the menu

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- click on File / Cassette / Insert
- this choice calls the Window Explorer, it allows to select a cas image
- when this choice is done, press on F9 (= Run) or on F12 (= Reset) to access to MSX-BASIC in the last selected machine

Second procedure : use of the toolbar

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- click on the 7th icon of the toolbar (Insert Tape in Cassette Player)
- this choice calls the Window Explorer, it allows to select a cas image
- when this choice is done, press on F9 (= Run) or on F12 (= Reset) to access to MSX-BASIC in the last selected machine

Third procedure : use of the hotkey

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- press at the same time on the keys CTRL + F11
- this choice calls the Window Explorer, it allows to select a cas image
- when this choice is done, press on F9 (= Run) or on F12 (= Reset) to access to MSX-BASIC in the last selected machine

Fourth procedure : drag and drop

- use the mouse to drag and drop a cas image on the blueMSX icon
- the emulator goes to MSX-BASIC in the last selected machine and rewinds automatically the tape (even if you have desactivated the option Rewind After Insert in the File / Cassette menu)

Remark : you can also start first blueMSX, then drag and drop the cas image in the blueMSX window, but in this case, the tape won't be rewound automatically if you have desactivated the option Rewind After Insert in the File / Cassette menu

Fifth procedure : double click

This procedure is only available if you have registered some files types with blueMSX by using the menu Options / Settings / Windows Environment

- simply double click on a cas image
- the emulator goes to MSX-BASIC in the last selected machine and rewinds automatically the tape (even if you have desactivated the option Rewind After Insert in the File / Cassette menu)

Questions and answers

Can I also run zipped cas games ?
Yes, but the fifth procedure (double click) is not available for zipped cas games

- if only one cas game is in the zip file, it is loaded directly
- if there are many cas games in the zip file , a dialog where you have to select which cas game to load from the zip file is shown

Can I also use cas files in writing mode ?
Yes, blueMSX includes a unique feature that makes it possible : blueDECK with choice between 2 different formats and an intern reminder of the tape position !

How to avoid that blueMSX rewinds automatically the tape ?
- Desactivate the option Rewind After Insert in the File / Cassette menu
- Choose procedure 1, 2 or 3

It doesn't work ! What must I do ?
- Don't forget that a tape must be runned manually by using one of the following instructions in MSX-BASIC and pressing on RETURN (the ENTER key of your PC) :

- RUN"CAS:"
- LOAD"CAS:",R
- BLOAD"CAS:",R

- If you have desactivated the option Rewind After Insert, you must rewind the tape youself by using the option Rewind in the File / Cassette menu or by using the hotkey CTRL+SHIFT+F11

- Most of the tape games were optimised for the VDP of the MSX1 and you are running a MSX2 machine or higher : choose a MSX1 machine in the menu Options / Emulation or in the menu Tools / Machine Editor, and try again to start the game

- If the emulator seems to be blocked, try always to press on F12 (= Reset) to start again the emulator and the game

- Some games require more free memory to run : press on F12 (= Reset), then press on Left Ctrl or on Left Shift during the boot sequence, until you hear a beep (it will desactivate the second drive or both drives)

- Some games require to use the Set Position menu (example for the game Batman : select in the Set Position menu the filename "batman", click on "Ok", then use run"CAS:" in MSX-BASIC and it will work !)

- Some games or demos don't work at all or have different problems : it can be a bug in the VDP emulation, the Z80 emulation or the cassette support; please report the problem on the blueMSX forum, we will try to fix it !


Running dsk images

Dsk images contains all the data of games on diskette. The files have generally the extension .dsk, but blueMSX can also treat files with .di1 and .di2 as extension.

You can run these games by using five different procedures in blueMSX, choose the procedure that you prefer !

The 3 first procedures require that the blueMSX window is already on your PC; with the 5th procedure , you can directly double click on a dsk image, but you must first register some files types with blueMSX by using the menu Options / Settings / Windows Environment

If you have already used dsk images with blueMSX, the emulator keep them in his memory (by default : maximum 10), you can see the names of these images in the menu and make also your choice directly among these images !

First procedure : use of the menu

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- click on File / Disk Drive A / Insert
- this choice calls the Window Explorer, it allows to select a dsk image
- when this choice is done, press on F9 (= Run) or on F12 (= Reset) to start the game in the last selected machine

The game can also be runned automatically if you have activated the option Reset After Insert/Remove in the File / Disk menu

Second procedure : use of the toolbar

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- click on the 5th icon of the toolbar (Insert Disk in Drive A)
- this choice calls the Window Explorer, it allows to select a dsk image
- when this choice is done, press on F9 (= Run) or on F12 (= Reset) to start the game in the last selected machine

The game can also be runned automatically if you have activated the option Reset After Insert/Remove in the File / Disk menu

Third procedure : use of the hotkey

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- press at the same time on the keys CTRL + F9
- this choice calls the Window Explorer, it allows to select a dsk image
- when this choice is done, press on F9 (= Run) or on F12 (= Reset) to start the game in the last selected machine

The game can also be runned automatically if you have activated the option Reset After Insert/Remove in the File / Disk menu

Fourth procedure : drag and drop

- use the mouse to drag and drop a dsk image on the blueMSX icon
- the emulator will run automatically the last selected MSX machine with the selected game on disk(even if you have desactivated the option Reset After Insert/Remove in the File / Disk menu)

Remark : you can also start first blueMSX, then drag and drop the dsk image in the blueMSX window, but in this case, the game won't be runned automatically if you don't have activated the option Reset After Insert/Remove in the File / Disk menu

Fifth procedure : double click

This procedure is only available if you have registered some files types with blueMSX by using the menu Options / Settings / Windows Environment

- simply double click on a dsk image
- the emulator runs automatically the last selected MSX machine with the selected game on disk (even if you have desactivated the option Reset After Insert/Remove in the File / Disk menu)

Questions and answers

How to proceed with games or demos with multiple disks ?
- To avoid reboot after each disk swap, the option Reset After Insert/Remove in the File / Disk menu must be desactived
- Run blueMSX with the first disk in drive A
- To swap disk, you can use procedure 1, 2 or 3 as for the first disk, but blueMSX includes an unique feature that makes it all more easy : v-DRIVE, it's the hotkey ALT+F9 !
- To continue the game or demo after the disk swap , you must generally press on the spacebar

Can I also run zipped dsk games ?
Yes, but the fifth procedure (double click) is not available for zipped dsk games

- if only one dsk game is in the zip file, it is loaded directly
- if there are many dsk games in the zip file , a dialog where you have to select which dsk game to load from the zip file is shown
- in case of multiple disks for a game or demo , the .zip file must only contain the different concerned .dsk files if you want to play this game or demo by using v-DRIVE, an unique blueMSX feature

How to use simultaneously drive A and drive B ?
- Choose procedure 1, 2 or 3
- Insert first .dsk file in drive A as explained above
- Insert second .dsk file in drive B :
* if you have choosen the 1st procedure, click on File / Disk Drive B / Insert
* if you have choosen the 2d procedure, use the 6th icon of the toolbar (Insert Disk in Drive B)
* if you have choosen the 3rd procedure, the hotkey is CTRL + F10

How to avoid that blueMSX starts automatically the game ?
- Desactivate the option Reset After Insert/Remove in the File / Disk menu
- Choose procedure 1, 2 or 3

It doesn't work ! What must I do ?
- If you have choosen procedure 1, 2 or 3, you don't probably have activated the option Reset After Insert/Remove in the File / Disk menu : press on F9 (= Run) or on F12 (= Reset) to start the game

- Some games are only for MSX2 or higher and you are running a MSX1 machine : choose a MSX2 machine in the menu Options / Emulation or in the menu Tools / Machine Editor, and try again to start the game

Note also that some games are only for MSX2+ and/or Turbo-R. You can run MSX2+ games in a MSX2+ machine; blueMSX does not support yet Turbo-R.

- If the emulator seems to be blocked, try always to press on F12 (= Reset) to start again the emulator and the game

- Some games require more free memory to run : press on F12 (= Reset), then press on Left Ctrl during the boot sequence, until you hear a beep (it will desactivate the second drive)

- Some games or demos don't work at all or have different problems : it can be a bug in the VDP emulation, the Z80 emulation of the drive support; please report the problem on the blueMSX forum, we will try to fix it !


Running rom images

Rom images contains all the data of cartridges games. The files have generally the extension .rom, but blueMSX can also treat files with .mx1 and .mx2 as extension.

You can run these games by using five different procedures in blueMSX, choose the procedure that you prefer !

The 3 first procedures require that the blueMSX window is already on your PC; with the 5th procedure , you can directly double click on a rom image, but you must first register some files types with blueMSX by using the menu Options / Settings / Windows Environment

If you have already used rom images with blueMSX, the emulator keep them in his memory (by default : maximum 10), you can see the names of these images in the menu and make also your choice directly among these images !

First procedure : use of the menu

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- click on File / Cartridge Slot 1 / Insert
- this choice calls the Window Explorer, it allows to select a rom image
- when this choice is done, the emulator will run automatically the last selected MSX machine with the selected game on cartridge (unless you have desactivated the option Reset After Insert/Remove in the File / Cartridge menu)

Second procedure : use of the toolbar

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- click on the 3rd icon of the toolbar (Insert Cartridge in Slot 1)
- this choice calls the Window Explorer, it allows to select a rom image
- when this choice is done, the emulator will run automatically the last selected MSX machine with the selected game on cartridge (unless you have desactivated the option Reset After Insert/Remove in the File / Cartridge menu)

Third procedure : use of the hotkey

- start blueMSX by double clicking on the blueMSX icon or his shortcut
- press at the same time on the keys CTRL + F7
- this choice calls the Window Explorer, it allows to select a rom image
- when this choice is done, the emulator will run automatically the last selected MSX machine with the selected game on cartridge (unless you have desactivated the option Reset After Insert/Remove in the File / Cartridge menu)

Fourth procedure : drag and drop

- use the mouse to drag and drop a rom image on the blueMSX icon
- the emulator will run automatically the last selected MSX machine with the selected game on cartridge (even if you have desactivated the option Reset After Insert/Remove in the File / Cartridge menu)

Remark : you can also start first blueMSX, then drag and drop the rom image in the blueMSX window, but in this case, the game won't be runned automatically if you have desactivated the option Reset After Insert/Remove in the File / Cartridge menu

Fifth procedure : double click

This procedure is only available if you have registered some files types with blueMSX by using the menu Options / Settings / Windows Environment

- simply double click on a rom image
- the emulator runs automatically the last selected MSX machine with the selected game on cartridge (even if you have desactivated the option Reset After Insert/Remove in the File / Cartridge menu)

Questions and answers

Can I also run zipped rom games ?
Yes, but the fifth procedure (double click) is not available for zipped rom games

- if only one rom game is in the zip file, it is loaded directly
- if there are many rom games in the zip file , a dialog where you have to select which rom game to load from the zip file is shown

How to do with the Konami combinations (one rom in slot 1, one rom in slot 2) ?
- Choose procedure 1, 2 or 3
- Insert first rom in slot 1 as explained above
- Insert second rom in slot 2 :
* if you have choosen the 1st procedure, click on File / Cartridge Slot 2 / Insert
* if you have choosen the 2d procedure, use the 4th icon of the toolbar (Insert Cartridge in Slot 2)
* if you have choosen the 3rd procedure, the hotkey is CTRL + F8

How to avoid that blueMSX starts automatically the game ?
- Desactivate the option Reset After Insert/Remove in the File / Cartridge menu
- Choose procedure 1, 2 or 3

It doesn't work ! What must I do ?
- If you have choosen procedure 1, 2 or 3, you have maybe desactivated the option Reset After Insert/Remove in the File / Cartridge menu : press on F9 (= Run) or on F12 (= Reset) to start the game

- Some games are only for MSX2 or higher and you are running a MSX1 machine : choose a MSX2 machine in the menu Options / Emulation or in the menu Tools / Machine Editor, and try again to start the game

- Some games are not yet in the extern rom database of blueMSX and use a special mapper : if you know the mapper type, you can complete the extern rom database of blueMSX - it's the romdb.dat file in the blueMSX directory - and try again to start the game. You can also precise the mapper type in the open rom dialog.

- Some games require more free memory to run : press on F12 (= Reset), then press on Left Ctrl or on Left Shift during the boot sequence, until you hear a beep (it will desactivate the second drive or both drives)

- If the emulator seems to be blocked, try always to press on F12 (= Reset) to start again the emulator and the game

- Some games or demos don't work at all or have different problems : it can be a bug in the VDP emulation, the Z80 emulation or you have maybe discovered a new mapper type ; please report the problem on the blueMSX forum, we will try to fix it !


Settings

The properties dialog have seven pannels that configure

Emulation settings
Video settings
Sound settings
Controls settings
Performance settings
Files settings
Application settings

The settings are stored automatically when the blueMSX application closes.


Controls Settings

The controls settings pannel allows you to configure the input devices.

The MSX have two ports. The first droplist contains a list of devices that can be used to emulate the MSX joystick or to use the mouse.

blueMSX detects automatically all your compatible DirectX devices, including for example a joypad with 8 buttons or more. Combined with the shortcuts editor, you can use your joypad for using the emulator as it seems you better !

The others droplists contains the list of the available buttons and sets the speed of autofire.

The mouse can be used on a MSX like a joystick, if you press the left button at least 5 seconds after the boot sequence when you start the machine. It's also the case in blueMSX !

If the keyboard is used to emulate an MSX joystick, the keys can be configured in the Config keyset section. The Bios charset configuration is not available at the moment.
Place first the cursor in the case corresponding to the function that you want to emulate, then press on the key of your choice.
When you have determined the keys for the 6 functions, click on OK to save your keyset config.


Emulation Settings

In this pannel you can configure the core part of the emulation. The most common option to change is the MSX machine option.

MSX machine | Determines what type of MSX to emulate.

Emulation speed | Allows you to change the emulation speed. The default value is 3.579 MHz.

Panasonic Switches | Two checkboxes allow you to toggle - the Panasonic Front Switch. (Requires a Panasonic MSX2+ configuration) - the Panasonic MSX-AUDIO cartridge switch


Files Settings

In this pannel you can change some parameters about the files opened by the emulator.

File History | Determines the number of files that will be shown in the file history for cartridges, disks, and cassettes. Valid values are 0 to 30 entries.

Drag and Drop | If you use the drag and drop of a file (rom image, disk image) to the emulator, the file will be loaded generally in slot 1 or drive A. You can change this behaviour in this menu by selecting the slot 2 for the rom images or the drive B for the disk images.

Open Rom Dialog | Determines the default mapper type in the open rom dialog for the rom images for which there is no crc32 code in the rom database


Performance Settings

In this pannel you can configure the core part of the emulation. The most common option to change is the MSX family option.

Display driver | Determines whether to use DirectDraw (2 variants)or GDI. DirectDraw gives much better performance. DirectDraw HW acceleration uses video and system memory for an optimised performance.

Frame skipping | If the emulator uses to much CPU time, you can increase the number of frames that won't be drawn. For most users the best result is when no frameskipping is selected. The emulator has an automatic frameskip that will skip frames if the CPU is too slow.

Sound driver | Determines whether to use DirectX or WMM. DirectX gives much better performance.

Sound buffer size | Sets the size of the internal sound buffer. A low value gives a faster and more acurate response but may make the output sound bad.

Sync mode | Determines how the emulator synchronizes the MSX clock to the PC clock. The 1ms mode gets more accuracy with the real machines, but requires more CPU resources. If you use a slow PC (less than 1.4 GHz), use the Auto mode


Application Settings

In this pannel you can configure some of the behaviour of the blueMSX application.

Theme | Determines the theme used by the emulator. If your PC is very slow, choose the classic theme.

Windows Environment | Three checkboxes allow you to - disable the screen saver while blueMSX is running. - register some file types with blueMSX : it concerns the .rom, .mx1, .mx2, .dsk; .di1,.di2, .cas and .sta files - disable automatically the normal function of the Windows menu keys that become free for an MSX function


Sound Settings

The Sound settings allows you to configure the audio driver settings and to control the emulated sound chips.

The MSX-MUSIC and MSX-AUIDO check boxes enables or disables the YM-2413, the Y8950 and the Moonsound sound chips.

The mixer control allows you to set the volume and panoration of each individual sound chip. Each channel has a check box for disabling and enabling the channel. There is also a master volume control and a MONO/STEREO button that sets whether to use mono or stereo sound.

For a better use of this audio mixer, it is recommanded to run blueMSX with the theme DIGImode, that allows you to control directly the result of your moves in the mixer.


Video Settings

The video settings pannel allows you to configure the type of monitor to emulate as well as how the monitor is emulated on the PC. You can also change different specifications for the colors. Three checkboxes allow you to stretch horizontally and/or vertically the graphic part of the emulation and to emulate a MSX connected to a TV screen by visualisation of the scanlines.

Monitor type | Allows you to choose between color, black and white or green monitor.

Monitor emulation | Determines how the monitor picture is rendered. The None option gives a raw square pixels. The Scale 2x option gives a smother image. The rest of the options tries to emulate an actual TV monitor with raster effect and the cathode ray.

Gamma Brightness Contrast Saturation | By deplacing the corresponding slider, you can change the gamma aspect, the brightness, the contrast and the saturation of the colors to get the best result on your PC monitor.

Horizontal Stretch | When the checkbox is checked, the graphic part of the emulation is like on a real MSX. The horizontal stretch is available in all monitor emulation types.

Vertical Stretch | When the checkbox is checked, your gaming space is bigger. The vertical stretch is available in all monitor emulation types

Scanlines | When the checkbox is checked, the graphic part of the emulation is like on a real MSX connected to a TV screen. You can determine the percentage of scanlines by deplacing the slider. The scanlines are available in all monitor emulation types


Default Keyboard Shortcuts

The table below lists all default keyboard shortcuts in blueMSX, as they are defined in the blueMSX hotkeys profile. You can change this profile by using the Shortcuts Editor.

Shortcut | Description
F7 | Loads the CPU state previously saved by Quick Save (F8).
F8 | Saves the CPU state to a predefined file in the current directory.
F9 | Runs or pauses the MSX emulation.
F10 | Stops the MSX emulation.
F12 | Hard Reset and restart of the MSX emulation.
PrtScrn | Saves a screenshot.
Scroll Lock | Toggles Panasonic MSX2+ front switch on/off.
LAlt+Enter | Toggles fullscreen.
LAlt+Scrl Lck | Toggles Panasonic MSX-AUDIO switch on/off.
LAlt+F7 | Loads a saved CPU state from a file.
LAlt+F8 | Saves the CPU state to a file.
LAlt+F9 | Switches diskette in drive A to the next in a series of disks that differ only by a number or a letter. I.e. disk_1of3.dsk, disk_3of3.dsk, disk_3of3.dsk
LAlt+F10 | Sets the screen size to 320x240 pixels.
LAlt+F11 | Sets the screen size to 640x480 pixels.
LAlt+F12 | Runs blueMSX in fullscreen mode.
LShift+F6 | Switch theme.
LShift+F7 | Starts/stops audio capture.
LShift+F8 | Toggles mouse capture.
LShift+F9 | When held down, the emulator runs as fast as possible.
LShift+F10 | Resets emulation frequency to 3.359MHz
LShift+F11 | Decreases emulation frequency with 5%.
LShift+F12 | Increases emulation frequency with 5%.
LCtrl+F6 | Shows Help dialog.
LCtrl+F7 | Opens the Insert ROM cartridge into slot 1 dialog.
LCtrl+F8 | Opens the Insert ROM cartridge into slot 2 dialog.
LCtrl+F9 | Opens the Insert disk image into drive A dialog.
LCtrl+F10 | Opens the Insert disk image into drive B dialog.
LCtrl+F11 | Opens the Insert tape image into cassette reader dialog.
LCtrl+F12 | Soft Reset (the RAM Memory is not erased) and restart of the MSX emulation.
LCtrl+Pause | Exits the emulator.
LCtrl+LAlt+F7 | Shows special menu for ROM cartridge into slot 1.
LCtrl+LAlt+F8 | Shows special menu for ROM cartridge into slot 2.
LCtrl+LAlt+F9 | Toggles reset emulator when disk image is inserted into drive A.
LCtrl+LAlt+F10 | Toggles auto-rewind of the tape image after insertion into cassette reader
LCtrl+LAlt+F11 | Opens the cassette position dialog.
LCtrl+LSft+F8 | Toggles reset emulator when ROM cartridge inserted into slot 1 or slot 2
LCtrl+LSft+F10 | Toggles use of the cassette in read only mode .
LCtrl+LSft+F11 | Rewinds the cassette.
LCtrl+LSft+S | Toggles showing/hiding of the sprites.
LCtrl+LAlt+F12 | General Reset and restart of the MSX emulation without disk, tape or cartridge images.
RAlt+F6 | Toggles mono/stereo.
RAlt+F7 | Decreases volume.
RAlt+F8 | Increases volume.
RAlt+F9 | Mutes volume.
RAlt+F11 | Saves a small unfiltered screenshot.
RAlt+F12 | Saves a large unfiltered screenshot.
RShift+F6 | Shows the emulation properties dialog.
RShift+F7 | Shows the video properties dialog.
RShift+F8 | Shows the audio properties dialog.
RShift+F9 | Shows the controls properties dialog.
RShift+F10 | Shows the performance properties dialog.
RShift+F11 | Shows the files properties dialog.
RShift+F12 | Shows the settings properties dialog.
RCtrl+F6 | Shows About dialog.
RCtrl+F7 | Removes ROM cartridge from slot 1.
RCtrl+F8 | Removes ROM cartridge from slot 2.
RCtrl+F9 | Ejects disk image from drive A.
RCtrl+F10 | Ejects disk image from drive B.
RCtrl+F11 | Ejects tape image from cassette reader.
RCtrl+RSft+L | Shows the language dialog.
RCtrl+RSft+M | Shows the machine editor.
RCtrl+RSft+S | Shows the shortcuts editor.


Shortcuts Editor Dialog

blueMSX provides a powerful shortcuts editor that allows you to assign keys or combinations of keys to shortcuts of different features of the emulator, including "hidden" features that don't appear in the interface.

As the emulator detects automatically all your compatible DirectX devices, including for example a joypad with 8 buttons or more, you can also assign buttons of your joypad to shortcuts of some features.

By default, blueMSX comes with three different profiles : the default blueMSX hotkeys configuration (with only use of the keyboard) and two uncomplete configurations, inspired by the hotkeys available in NLMSX and paraMSX, two other interesting emulators.

In the editor you can choose between different hotkeys configurations, modify the existing mapping schemes or create new ones.

The machine editor dialog contains three parts. At the top is a dropdown list with all current configurations. All configurations are stored in the Shortcut Profiles subdirectory of the emulator.

The center part is a tab control where the configuration is defined, with the complete list of the shortcuts and the corresponding hotkeys.

Although the default configurations use only the keyboard, you can also use for example the buttons of your joypad for a new or modified configuration.

To modify a shortcut or create a new one, you must first select the blueMSX feature that interests you. Place then the cursor in the case after "Press shortcut key(s)" , then press on the key(s) of your choice. You must confirm your choice by clicking on "Assign"

The bottom part contains three buttons:

Save | Saves changes made to the current configuration.

Save As... | Saves the current configuration with a new name. When the button is pressed, a file dialog is opened where you can specify the new name of the configuration. The original configuration will not be modified.

OK | Closes the shortcuts editor dialog. If the configuration is modified and not saved, a warning dialog will be shown.


The Status Bar

The classic status bar displayed at the bottom of the blueMSX window contains eight panes that show information about the current state of the emulator.

Pane | Description
1 | The first pane shows whether the emulator is running, stopped or paused. It contains also two counters : frames per second and using of CPU resource by the emulator
2 | The second pane shows the current emulation frequency.
3 | The third pane is only useful if you run a Panasonic MSX2+ or use the Panasonic MSX-AUDIO cartridge. The indication FS appears when the MSX2+ front switch is on. The indication AS appears when the switch of the Panasonic MSX-AUDIO cartridge is on.
4 | The fourth pane contains two led indicators. One is shown if the CAPS key is toggled and one if the KANA key is toggled.
5 | The fifth pane shows a tape icon when loading or saving data from the cassette.
6 | The sixth pane shows a diskette icon when loading or saving data from disk in drive A.
7 | The seventh pane shows a diskette icon when loading or saving data from disk in drive B.
8 | The last pane shows the MSX screen mode currently in use. (The shown screen mode is the screen mode of scanline 0, so if an application uses multiple screen modes in the same frame, the information may not be as expected.)

If you have choosen to run the emulator with the DIGIblue theme, then the statusbar has this appearance :

The DIGIblue statusbar contains the description of the game or demo currently running (it can be a cartridge, a disk or a cassette).
Below this description, you find three parts :

- On the left, you can see different indications :

 | Description
FPS | Shows the number of frames per second
CPU | Shows the using of CPU resource by the emulator
MHz | Shows the current emulation frequency
MAIN | Indicates the Main Ram size of the emulated MSX
VIDEO | Indicates the Video Ram size of the emulated MSX
SCREEN | Shows the MSX screen mode currently in use. (The shown screen mode is the screen mode of scanline 0, so if an application uses multiple screen modes in the same frame, the information may not be as expected.).
MEGARAM | Indicates if a Megaram cartridge is inserted in slot 1 or 2
AS | Indicates if the switch of the Panasonic MSX-AUDIO cartridge is on.
FS | Indicates if the Panasonic MSX2+ front switch is on.
REC | Indicates if an audio capture is currently running
F-RI | Indicates if a Reset must happen after insertion of a disk in drive 1
R-RI | Indicates if a Reset must happen after insertion of a cartridge in slot 1 or 2
C-RO | Indicates if the tape image must be used only in reading mode

- The middle part of the DIGIblue statusbar allows to visualise the music outputs (PSG, SCC, MSX-Music, MSX-Audio, MoonSound, Keyboard click) and the general music output (MASTER) .

The different icons become bright
* if the emulator makes use of a normal rom or a Megarom
* if the emulated machine includes a FM-PAC cartridge
* if MSX-Music, SCC, MoonSound or MSX-AUDIO sounds are produced

This part contains also the following indications :

 | Description
P1 | Shows the device used in the MSX port 1 : Mouse, Numpad, Keypad or other DX (DirectX) device
P2 | Shows the device used in the MSX port 2 : Mouse, Numpad, Keypad or other DX (DirectX) device
HS | Indicates if the horizontal stretching of the MSX screen is currently used.
VS | Indicates if the vertical stretching of the MSX screen is currently used
SL | Indicates if the scanlines are visualised and the percentage of scanlines.
MACHINE TYPE | Shows the machine type that is currently emulated
MAPPER TYPE | Shows the mapper type of the current rom game

- On the right, the DIGIblue statusbar includes 5 led indicators that are activated
* when loading or saving data from disk in drive A
* when loading or saving data from disk in drive B
* when loading or saving data from cassette
* when pressing on the KANA key
* when pressing on the CAPS key.


The Toolbar

The toolbar contains a number of buttons, most of them with an associated dropdown menu.

The classic toolbar has the following apperance :

If you have choosen to run the emulator with the DIGIblue theme, then the toolbar has this appearance :

Button | Description
Reset | Hard resets the emulator. Its dropdown menu contains soft and hard reset options.
Play | Plays emulation.
Pause/Resume | Pauses / Resumes emulation.
Stop | Stops emulation.
Cartridge 1 | Launches the cartridge instert file dialog. The dropdown menu contains the same options as the corresponding sub menu in the files menu.
Cartridge 2 | Launches the cartridge instert file dialog. The dropdown menu contains the same options as the corresponding sub menu in the files menu.
Disk drive A | Launches the disk instert file dialog. The dropdown menu contains the same options as the corresponding sub menu in the files menu.
Disk drive B | Launches the disk instert file dialog. The dropdown menu contains the same options as the corresponding sub menu in the files menu.
Cassette | Launches the cassette instert file dialog. The dropdown menu contains the same options as the corresponding sub menu in the files menu.
Window size | Sets window size to double. The dropdown menu contains the same options as the Windows menu.
Properties | Launches the properties dialog. The dropdown menu contains the same options as the Options menu.
Help | Launches the help dialog.


User Interface

The blueMSX user interface consists of a menu and a toolbar. The toolbar is basically a subset of the menu that contains the most common selections.


Virtual Drive (aka blue v-DRIVE)

-What's blue v-DRIVE?
v-DRIVE is an blueMSX unique function introduced in v1.3.0. So what does it do? Well it's a simple yet powerful hotkey for users to swap disk without going the file selection window. v-DRIVE hotkey will let users toggle between available contiguous dsk file of your choice. (Works similar to ' ALT+TAB' task switcher in your Windows.) Users will find it quite handy when playing games with massive disk exchange!

-How does it work?
Let's say you have a software with multiple sets of disks and they have filenames like the following [DISK-1.dsk, DISK-2.dsk, DISK-3.dsk]. blueMSX will automatically recognize that your set has total of 3 diskettes present. This is done by scanning through filenames based upon numbers and alphabets along with a common naming.

-How to use it?
While emulation, certain software ask you to change disk, simply push ALT+F9 (hotkey) . You should see an information bar like the one above with dsk file that is being mounted. If you push again the next available dsk is mounted. When you reach the last dsk and continue to push ALT+F9 (hotkey), it will return to the first dsk in the sets. So what you're basically doing is switching through sets of dsk in a cycle. Here is the diagram of v-DRIVE process shown visually.

-Things to be aware of.......
In order v-DRIVE function properly their is few things you need to be aware of. Currently v-DRIVE does not support multiple disks saved in single image ZIPPED files. (i.e -- DISK-1.zip, DISK-2.zip, DISK-3.zip....so on) However ZIPPED file with multiple image is supported. So we recommend users to extract zip files to a directory so to ensure v-DRIVE work.


Version History

This paragraph contains a list of released versions of blueMSX along with the major changes made in the releases.

v 1.6.0 Juli 27, 2004

- Added a customizable shortcuts editor : the user can remap a long list of features to keys, combinations or keys or to the joypad buttons, create different profiles or modify the existing profiles
- Added an alternative interface "DIGIblue" with the visualisation of the audio outputs and more indicators about the emulated machine and his working
- Added Korean language
- Added DirectX support for joystick/joypad
- Updated Joystick configuration dialog (Properties/Controls)
- Added Gamma/Brightness/Contrast/Saturation controls
- Added slider for adaptable scanlines on each monitor emulation type
- Added new screenshots modes : Filtered screenshot (the original) , large unfiltered screenshot (544x240 pixels) , small unfiltered screenshot (272x240 pixels)
- More uptodate MSX-AUDIO engine
- New keyclick emulation
- Renewed and extensive rom database (now fully external to the emulator)
- Added support for future cas and dsk databases
- Added support for selecting rom type for zipped rom files
- Added toggle Show/hide sprites
- Added choice of the default slot or drive for the drag and drop of files
- Added choice of the default mapper type for the roms not found in the rom database
- Fixed Bunsetsu Mapper to work with FS-4500 & FS-4700
- Fixed bug when ejecting an ASCII8 rom while emulation is running
- Fixed audio bugs : PSG samples now works again, Panasonic MSX-AUDIO is well detected without special poke and you can play Disk Station dismagazines or games like Labyrinth or Xevious with MSX-AUDIO
- Fixed a bug in the creation of all needed directories at startup
- Disabled the video rendering when minimising the emulator window without stopping the emulator

v 1.5.0 Juni 12, 2004

- The entire timing scheme of the emulation and DirectDraw is replaced. The result is higher frame rate on slower PCs (< 1.4 GHz) and less interruptions in the sound.
- MSX1 emulation is improved : correct specific palette of colors, CMOS disabled in MSX1 mode
- Full RTC implementation in MSX2/2+ modes, including test and alarm register
- The system roms are no more embedded in the executable file and the emulator is released in two versions : one that includes the bios roms as separate files (as NLMSX or paraMSX) and one that only contains C-BIOS and no copyrighted roms.
- Added two counters : frames per second and using of CPU resource by the emulator
- Added pause and stop buttons to toolbar
- Added finnish language
- Added support for the different SCC/SCC+ mappers
- Added support for zipped save states
- Added rom type selection dropdown in rom open dialog box
- Updated horizontal stretch
- Correct sprite palette in screen 8
- Fixed bugs with double click on a dsk or rom file : the emulator starts now with this file only (it ejects any inserted cartridges); if blueMSX is already running, the double click will have effect in the existing emulator
- Fixed mouse lock when running at high frequency
- Fixed lockups when running emu and dialogs are moved over emulation
- Fixed bug with property page in full screen mode
- Fixed bug in toolbar update when starting or stopping emulation
- Made switch check boxes in options/emulation not restart emulation
- Fixed VDP bug that made some Namcot MSX1 games fail in screen 1
- Fixed bug in disk patch : it flushes VDP commands correctly (BGV #13 in Disk Station 17 and Rune Master III now show graphics correctly)
- Fixed bug in machine editor dropdowns : clicking outside dropdown does not reset value
- Fixed bugs in the mixer control (position of the balance slider, volume when selecting mono)
- Fixed bugs in sprite emulation and screen 6 horizontal scroll
- Fixed bugs in the graphical interface
- Fixed bug in save states for MSX1 machines

v 1.4.1 May 10, 2004

- General video improvement :
* Addition of horizontal and vertical stretch on all monitor modes for a still more better MSX experience
* Implementation of a DirectDraw Hw Acceleration driver that combines video and system memory for optimised performance
- General sound improvement :
* Better sound mixer
* Updated Moonsound (less bad noises)
* Support of the MSX-AUDIO cartridges (including the switch of the Panasonic cartridge)
* Improved SCC support
- New default machine configs : MSX2 French and German
- Support for smaller sound buffer sizes in performance
- Added support for di1, di2, mx1, mx2 file types
- Added registration of file types in settings, so double clicking a file starts blueMSX
- Added romdb.dat database (created in blueMSX root directory if not exist)
- Added support for Kanji roms in cartridge slots
- Added support for Korean 90-in-1 rom
- Added support for PAC and Megaram in special submenu
- Added Drag and drop of .sta files
- Mouse / Joystick config saved in save state
- Fixed mouse issues
- Mouse as joystick when left button pressed at start
- Changed "Joystick in Port #1" to "Port #1"
- Possibility to disable Windows menu keys
- Correct screen split to screen 0 (Boring scroll in Anma's Relax)
- Updated Disk Patch to synchronize pending VDP commands (XAK Tower of Gazzel)
- Updated sprite addressing
- Fixed bug in set position for zipped cas files
- Added support for NT4 and Win95

v 1.4.0 April 23, 2004

- Moonsound support
- Added a new megarom mapper : blueMSX is the first emulator to correctly support KOEI roms with 8kB and 32kB SRAM.
- Improved support of all games with SRAM
- Added support for basic games in rom format
- Correct overscan behaviour (Matra games, Unknown Reality)
- Version control in savestate (to make saved states backwards compatible and avoid errors when loading old states)
- Additions to the internal rom database
- Changed emulation of special keys of Japanese MSX keyboard
- Fixed bug in mouse buttons emulation
- Fixed bug in screen 0 width 80
- Fixed bug about sprite collision and drawing in screen 1-3
- Fixed bug in cassette read only mode
- Fixed bug in save state (audio chip was not saved)
- Fixed bugs in translations and menu

v 1.3.0 April 11, 2004

- Machine configuration editor that supports external system roms
- New default configurations : Arabic, Brazilian, and Russian MSX 2
- New mappers: Holy Quran, Matsushita, Panasonic, Bunsetsu, National
- Better mouse emulation (the mouse works now in Princess Maker)
- Change of multiple disk with use of a virtual FDD index and indication of the selected disk in a window
- Hotkeys for set or release of mouse capture
- Italian language support
- Better performance by disabling of the Windows screensaver
- Clearing and setting of number of files in history
- Updated state save : it saves now the entire state with a better naming
- Updated japanese keyboard default settings
- Support for MSX2+ horizontal scroll in screens 4 and 6
- Fixed VDP timing problems (removing of flicker in some games)
- Fixed screenshot bug when selected from the menu
- Fixed bugs when playing PSG samples
- Support for the Panasonic front switch
- Extended cassette interface
- Support for fMSX-DOS and fMSX98/AT dsk images
- Max emulation speed hot key
- Fixed bug when going to full screen mode by double clicking on the title bar
- Fixed colors corruption bug when using horizontal scroll in screen 10 or 12

v 1.2.0 March 4, 2004

- Interlace support.
- Major improvements in the VDP synchronisation to the Z80
- Enable/disable MSX-AUDIO, MSX-MUSIC
- Slider and hotkeys for controlling emulation speed
- Audio works when running other speed than normal
- Hotkeys for cart/disk insert
- Z80 timing bugfix, e.g. the game TZR
- Support for FMPAC rom type including SRAM support
- Language support : Dutch, English, French, Japanese, Portuguese, Spanish, and Swedish
- Remember individual dirs for disks/roms/tapes
- Command line arguments
- Updated sprite handling (large sprites, corrected color, better collision detection)
- Additional toolbar buttons : Start/Pause and Help
- Updated disk handling and format bugfix
- Bugfix in horizontal scroll for screen 12
- Bugfix in the AY8910 emulation that made some samples not play correctly.
- Bugfix in the ASCII rom mappers that made some roms not run properly.

v 1.1.1 February 5, 2004

- Support for MSX2+ horizontal scroll
- Correct VRAM addressing in screen 7 and 8
- Correct 256/512 pixel screen split behavior
- Improved PSG and SCC audio
- Support for R-TYPE, Harry Fox and Cross Blaim megaroms
- Support for Korean MSX1 and MSX2 system roms
- Support for .CAS tape files
- Uses DirectX for keyboard input (fixes problems when using Win9x or AZERTY keyboards)
- Save state now works with MSX-MUSIC and MSX-AUDIO
- Caps lock and Kana lock indicators in status bar
- Fixed bug in "Insert Disk" menu that made history choices fail first time
- Minor bugfixes in megarom mapper
- Monor Z80 opcode updates
- Various non critical bugfixes

v 1.1.0 January 15, 2004

- Added users manual
- Added toolbar to user interface
- Support for ASCII8 and ASCII16 mega roms with SRAM
- Support for SCC+ mega rom with internal RAM
- Support for soft reset. (RAM is not erased on reset)
- Support for inserting and removing mega roms while emulator is running
- Support for MSX-AUDIO
- Improved PSG audio emulation
- Support for selecting CPU frequency
- Added screenshot feature
- Updated video rendering to make screen less flickery
- Fixed bug in the "load state" feature that sometimes made load state fail
- Fixed bug in rom mapper that made call command fail
- Fixed bug in zipped rom support that made Konami rom combinations work wierd
- Fixed bug that mzde blueMSX crash when cancelling the save CPU state dialog

v 1.0.5 December 7, 2003

- Stereo (and mono) sound
- Advanced mixer to control volume and pan of individual audio chips in real time
- Zipped rom and dsk support, including drag and drop. Supports multiple roms/dsks in the same zip file
- Support for 512 pixel wide SCREEN6, SCREEN7, and TEXT80 screen.
- Support for 256 color SCREEN8
- Scale 2x monitor renderer
- Drag and drop to the blueMSX program icon. Emulator starts with the dragged file
- Fixed bug in PSG that prevented some samples to be played
- Fixed bug in the bios patch that made some disks hang the PC

v 1.0.4 November 30, 2003

- Support for Japanese MSX1 and MSX2 system roms
- Support for Konami Game Master and Game Master 2 roms
- Added key click audio emulation
- Fine tuned SCC and AY8910 emulation
- Updated composite monitor emulation
- Updated keyboard mapping for european keyboards
- Fixed bug that left settings unsaved on Windows 95 and 98 (and maybe other systems as well)
- Fixed bug in cartridge and disk insert menu
- Fixed bug that sometimes made disk insert fail when emulator is run in windowed mode
- Fixed bug that sometimes caused blueMSX to crash after 20 minutes
- Fixed bug that sometimes caused blueMSX to crash at exit

v 1.0.3 November 24, 2003

- Corrected timing in emulator
- Added video mode option in video preferences where PAL or NTSC can be selected. This ensures correct speed of games like Nemesis2
- Added support for brazilian MSX1 system roms

v 1.0.2 November 22, 2003

- Added support for DirectX sound
- Corrected behavior in DirectX video

v 1.0.1 November 20, 2003

- First official blueMSX release